import { IUser } from 'app/entities/user/user.model';
import { IWatchListEntry } from 'app/entities/watch-list-entry/watch-list-entry.model';
import { CheckFrequency } from 'app/entities/enumerations/check-frequency.model';

export interface IUserWatchList {
  id?: number;
  name?: string;
  checkFrequency?: CheckFrequency;
  user?: IUser | null;
  watchListEntries?: IWatchListEntry[] | null;
}

export class UserWatchList implements IUserWatchList {
  constructor(
    public id?: number,
    public name?: string,
    public checkFrequency?: CheckFrequency,
    public user?: IUser | null,
    public watchListEntries?: IWatchListEntry[] | null
  ) {}
}

export function getUserWatchListIdentifier(userWatchList: IUserWatchList): number | undefined {
  return userWatchList.id;
}
