import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { UserRouteAccessService } from 'app/core/auth/user-route-access.service';
import { WatchListEntryComponent } from '../list/watch-list-entry.component';
import { WatchListEntryDetailComponent } from '../detail/watch-list-entry-detail.component';
import { WatchListEntryUpdateComponent } from '../update/watch-list-entry-update.component';
import { WatchListEntryRoutingResolveService } from './watch-list-entry-routing-resolve.service';

const watchListEntryRoute: Routes = [
  {
    path: '',
    component: WatchListEntryComponent,
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/view',
    component: WatchListEntryDetailComponent,
    resolve: {
      watchListEntry: WatchListEntryRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: 'new',
    component: WatchListEntryUpdateComponent,
    resolve: {
      watchListEntry: WatchListEntryRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/edit',
    component: WatchListEntryUpdateComponent,
    resolve: {
      watchListEntry: WatchListEntryRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
];

@NgModule({
  imports: [RouterModule.forChild(watchListEntryRoute)],
  exports: [RouterModule],
})
export class WatchListEntryRoutingModule {}
