import { HttpHeaders, HttpResponse } from '@angular/common/http';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatTableModule } from '@angular/material/table';
import { ReviewHistoryEntryService } from 'app/entities/review-history-entry/service/review-history-entry.service';
import { of } from 'rxjs';

import { ReviewHistoryComponent } from './review-history.component';

describe('ReviewHistoryComponent', () => {
  let component: ReviewHistoryComponent;
  let fixture: ComponentFixture<ReviewHistoryComponent>;
  let service: ReviewHistoryEntryService;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [HttpClientTestingModule, MatTableModule],

      declarations: [ReviewHistoryComponent],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ReviewHistoryComponent);
    component = fixture.componentInstance;
    service = TestBed.inject(ReviewHistoryEntryService);
    fixture.detectChanges();

    const headers = new HttpHeaders();
    jest.spyOn(service, 'query').mockReturnValue(
      of(
        new HttpResponse({
          body: [{ id: 123 }],
          headers,
        })
      )
    );
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should call history', () => {
    // WHEN
    component.review = {
      id: 5,
      comments: [],
      resource: 'unused',
      users: [],
      requestedBy: '2',
      badgeRewarded: false,
      resourceID: 'unused',
      status: [],
      link: 'unused',
    };

    // THEN
    component.ngOnInit();
    expect(service.query).toHaveBeenCalled();
  });
});
